org.appng.core.controller.messaging

## Class StopSiteEvent

- java.lang.Object
- - org.appng.api.messaging.Event
  - - org.appng.core.controller.messaging.StopSiteEvent

- All Implemented Interfaces:
    Serializable

      public class StopSiteEvent
      extends Event

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StopSiteEvent(String siteName)`
    `StopSiteEvent(String siteName, String targetNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InitializerService` | `getInitializerService(Environment environment)`
    `protected org.springframework.context.ApplicationContext` | `getPlatformContext(Environment environment)`
    `protected boolean` | `isTargetNode(Environment environment)`
    `protected void` | `logIgnoreMessage(org.slf4j.Logger logger)`
    `void` | `perform(Environment environment, Site site)` Performs the event

    - ### Methods inherited from class org.appng.api.messaging.Event

      `getNodeId, getSiteName, setNodeId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StopSiteEvent

          public StopSiteEvent(String siteName)

    - #### StopSiteEvent

          public StopSiteEvent(String siteName,
                               String targetNode)

  - ### Method Detail

    - #### perform

          public void perform(Environment environment,
                              Site site)
                       throws InvalidConfigurationException

      Description copied from class: `Event`
      Performs the event
      Specified by:
        `perform` in class `Event`
      Parameters:
        `environment` - then `Environment` to use
        `site` - the `Site` where the event occurred
      Throws:
        `InvalidConfigurationException` - if there's a configuration error

    - #### isTargetNode

          protected boolean isTargetNode(Environment environment)

    - #### logIgnoreMessage

          protected void logIgnoreMessage(org.slf4j.Logger logger)

    - #### getInitializerService

          protected InitializerService getInitializerService(Environment environment)

    - #### getPlatformContext

          protected org.springframework.context.ApplicationContext getPlatformContext(Environment environment)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.